Chat room implemented using Civetweb embeddable web server. This application was written for educational purposes demonstrating how web interface could be decoupled from the business logic. Not a single line of HTML is generated by the server, instead, server gives data to the client in JSON format.
Main room
Type your message here and press enter
Settings

Max messages to display: | blah blah
Text color: | blah blah